# Generated by Django 3.2.4 on 2022-10-11 07:05

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('badi_user', '0002_auto_20221011_1035'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.BigIntegerField(default=0, verbose_name='Amount')),
                ('type', models.CharField(choices=[('+', 'Charge'), ('-', 'Return')], max_length=2, verbose_name='Type')),
                ('date_time', models.DateTimeField(auto_now_add=True, verbose_name='Time')),
                ('subject', models.CharField(blank=True, max_length=255, null=True, verbose_name='Subject')),
                ('bank_transaction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to='badi_user.log')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Transaction',
                'verbose_name_plural': 'Transactions',
                'permissions': (('can_transaction', 'Manage Transactions'),),
            },
        ),
        migrations.CreateModel(
            name='BankTransaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('authority', models.CharField(max_length=255, unique=True, verbose_name='Authority')),
                ('description', models.TextField(blank=True, validators=[django.core.validators.MaxLengthValidator(1200)], verbose_name='Description')),
                ('is_verified', models.BooleanField(default=False, verbose_name='is Verified')),
                ('ref_id', models.CharField(blank=True, max_length=255, null=True, verbose_name='RefID')),
                ('card_hash', models.CharField(blank=True, max_length=255, null=True, verbose_name='Card Hash')),
                ('order_id', models.CharField(blank=True, max_length=50, null=True)),
                ('amount', models.BigIntegerField(default=0, verbose_name='Amount')),
                ('data', models.TextField(blank=True, verbose_name='Bank Response')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_transactions', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Bank Transaction',
                'verbose_name_plural': 'Bank Transaction',
                'permissions': (('can_bank_transaction', 'Manage Bank Transaction'),),
            },
        ),
    ]
